
QGIS Application - Bug report #7604

Joining KML to CSV results in NULL values

2013-04-14 02:23 AM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16533

Description

Attempting to join the attached KML file ("Ingress-IPf-Level-A-T0404.kml") to the CSV file "ingress_all.csv", using the "Name" field in both

layers as a join fails. The columns from the csv are added to the kml layer, but all fields are NULL.

History

#1 - 2013-04-14 09:55 AM - Giovanni Manghi

- Status changed from Open to Feedback

Does it works on 1.8 ?

#2 - 2013-04-14 02:39 PM - Nyall Dawson

Yes -- the join works correctly in 1.8.

#3 - 2013-04-14 02:47 PM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

#4 - 2013-04-15 10:36 PM - Minoru Akagi

Seems to be fixed with commit commit:"47fa53e"

#5 - 2013-04-16 01:25 AM - Nyall Dawson

- Resolution set to fixed

- Status changed from Feedback to Closed

Great -- I can confirm this fix.

Files

join_data.zip 148 KB 2013-04-14 Nyall Dawson
